libreadline 8.0-GCCcore-10.2.0

There is a newer version of libreadline

The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands.

Accessing libreadline 8.0-GCCcore-10.2.0

To load the module for libreadline 8.0-GCCcore-10.2.0 please use this command on Baskerville:

module load bask-apps/test
module load libreadline/8.0-GCCcore-10.2.0

Bask Apps Env

test

More Information

For more information visit the libreadline website.

Dependencies

This version of libreadline has a direct dependency on: GCCcore/10.2.0 ncurses/6.2-GCCcore-10.2.0

Required By

This version of libreadline is a direct dependent of: GDB/10.1-GCCcore-10.2.0 Lua/5.4.2-GCCcore-10.2.0 Perl/5.32.0-GCCcore-10.2.0 PostgreSQL/13.2-GCCcore-10.2.0 Python/2.7.18-GCCcore-10.2.0 Python/3.8.6-GCCcore-10.2.0 R/4.0.3-fosscuda-2020b SQLite/3.33.0-GCCcore-10.2.0

Other Versions

These versions of libreadline are available on Baskerville. These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 7th July 2021